com.informix.util

## Class AdvancedUppercaseProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.informix.util.AdvancedProperties
        - - com.informix.util.AdvancedUppercaseProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class AdvancedUppercaseProperties
    extends AdvancedProperties

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.informix.util.AdvancedProperties

`FALSE, TRUE`

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`AdvancedUppercaseProperties()`
`AdvancedUppercaseProperties(java.io.File fileLocation)`
`AdvancedUppercaseProperties(java.io.File fileLocation, java.util.Properties prop)`
`AdvancedUppercaseProperties(java.util.Properties prop)`

### Method Summary

Methods
`java.lang.String` `getProperty(java.lang.String key)`
`java.lang.String` `getProperty(java.lang.String key, java.lang.String defaultValue)`
`void` `load(java.io.InputStream is)`
`void` `load(java.io.Reader r)`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`void` `putAll(java.util.Map<? extends java.lang.Object,? extends java.lang.Object> t)`
`java.lang.Object` `setProperty(java.lang.String key, java.lang.String value)`
`java.lang.String` `toString()`

### Methods inherited from class com.informix.util.AdvancedProperties

`asBool, asBool, asBool, asDouble, asInt, asInt, asString, convertArrayToProperties, convertArrayToProperties`

### Methods inherited from class java.util.Properties

`list, list, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, rehash, remove, size, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AdvancedUppercaseProperties

    public AdvancedUppercaseProperties()

#### AdvancedUppercaseProperties

    public AdvancedUppercaseProperties(java.io.File fileLocation)
                                throws java.io.FileNotFoundException,
                                       java.io.IOException

Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`

#### AdvancedUppercaseProperties

    public AdvancedUppercaseProperties(java.io.File fileLocation,
                               java.util.Properties prop)
                                throws java.io.FileNotFoundException,
                                       java.io.IOException

Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`

#### AdvancedUppercaseProperties

    public AdvancedUppercaseProperties(java.util.Properties prop)

### Method Detail

#### getProperty

    public java.lang.String getProperty(java.lang.String key)

Overrides:
  `getProperty` in class `AdvancedProperties`

#### getProperty

    public java.lang.String getProperty(java.lang.String key,
                               java.lang.String defaultValue)

Overrides:
  `getProperty` in class `AdvancedProperties`

#### put

    public java.lang.Object put(java.lang.Object key,
                       java.lang.Object value)

Specified by:
  `put` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
Overrides:
  `put` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

#### putAll

    public void putAll(java.util.Map<? extends java.lang.Object,? extends java.lang.Object> t)

Specified by:
  `putAll` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
Overrides:
  `putAll` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

#### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                               java.lang.String value)

Overrides:
  `setProperty` in class `java.util.Properties`

#### load

    public void load(java.io.InputStream is)
              throws java.io.IOException

Overrides:
  `load` in class `java.util.Properties`
Throws:
  `java.io.IOException`

#### load

    public void load(java.io.Reader r)
              throws java.io.IOException

Overrides:
  `load` in class `java.util.Properties`
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`